DOVEADM-PROXY(1)

NAME
doveadm-proxy - Handle Dovecot proxy connections

SYNOPSIS
doveadm [-Dv] [-f formatter] proxy command [OPTIONS] [ARGUMENTS]

DESCRIPTION
The doveadm proxy commands are used to list or kick active Dovecot proxy connections. @INCLUDE:global-options-formatter@

This command uses by default the table output formatter.

Command specific options:

-a ipc_socket_path
    This option is used to specify an alternative socket. The option's argument is either an absolute path to a local UNIX domain socket, or a hostname and port (hostname:port), in order to connect a remote host via a TCP socket.

    By default doveadm(1) will use the socket @rundir@/ipc. The socket may be located in another directory, when the default base_dir setting was overridden in @pkgsysconfdir@/dovecot.conf.

ARGUMENTS

user
    Is a user's login name. Depending on the configuration, a login name may be for example jane or john@example.com. It's also possible to use "*" and "?" wildcards (e.g. *@example.org).

COMMANDS

  proxy kick
doveadm proxy kick [-a ipc_socket_path] user

Kick all the connections being proxied for the given user.

  proxy list
doveadm proxy list [-a ipc_socket_path]

List all the users currently being proxied.

EXAMPLE
List all currently active proxy connections:

doveadm proxy list
username                    proto src ip          dest ip     port
jane@example.net            imap  192.168.0.100   192.168.0.5 143
@INCLUDE:reporting-bugs@

SEE ALSO
doveadm(1)